cern.colt.buffer

## Class IntBuffer3D

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.colt.buffer.IntBuffer3D

- All Implemented Interfaces:
    IntBuffer3DConsumer, java.io.Serializable, java.lang.Cloneable

      public class IntBuffer3D
      extends PersistentObject
      implements IntBuffer3DConsumer

  Fixed sized (non resizable) streaming buffer connected to a target `IntBuffer3DConsumer` to which data is automatically flushed upon buffer overflow.
  Version:
    1.0, 09/24/99
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cern.colt.PersistentObject

      `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntBuffer3D(IntBuffer3DConsumer target, int capacity)` Constructs and returns a new buffer with the given target.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int x, int y, int z)` Adds the specified point (x,y,z) to the receiver.
    `void` | `addAllOf(IntArrayList xElements, IntArrayList yElements, IntArrayList zElements)` Adds all specified (x,y,z) points to the receiver.
    `void` | `clear()` Sets the receiver's size to zero.
    `void` | `flush()` Adds all internally buffered points to the receiver's target, then resets the current buffer size to zero.

    - ### Methods inherited from class cern.colt.PersistentObject

      `clone`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntBuffer3D

          public IntBuffer3D(IntBuffer3DConsumer target,
                     int capacity)

      Constructs and returns a new buffer with the given target.
      Parameters:
        `target` - the target to flush to.
        `capacity` - the number of points the buffer shall be capable of holding before overflowing and flushing to the target.

  - ### Method Detail

    - #### add

          public void add(int x,
                 int y,
                 int z)

      Adds the specified point (x,y,z) to the receiver.
      Parameters:
        `x` - the x-coordinate of the point to add.
        `y` - the y-coordinate of the point to add.
        `z` - the z-coordinate of the point to add.

    - #### addAllOf

          public void addAllOf(IntArrayList xElements,
                      IntArrayList yElements,
                      IntArrayList zElements)

      Adds all specified (x,y,z) points to the receiver.
      Specified by:
        `addAllOf` in interface `IntBuffer3DConsumer`
      Parameters:
        `xElements` - the x-coordinates of the points.
        `yElements` - the y-coordinates of the points.
        `zElements` - the y-coordinates of the points.

    - #### clear

          public void clear()

      Sets the receiver's size to zero. In other words, forgets about any internally buffered elements.

    - #### flush

          public void flush()

      Adds all internally buffered points to the receiver's target, then resets the current buffer size to zero.

Jump to the Colt Homepage